Unicode data files (in enc/unicode/data) don't get updated even if ALWAYS_UPDATE_UNICODE = yes

is uncommented

10/22/2014 11:10 AM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.2.0   

ruby -v: ruby 2.2.0dev (2014-10-22 trunk 48091)

[x86_64-cygwin]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

The current makefile logic doesn't update the files in enc/unicode/data even if

ALWAYS_UPDATE_UNICODE = yes

is activated.

How tested: Changed the latest modification date of one of the files, e.g. with

touch -m -t 201210101010 enc/unicode/data/CompositionExclusions.txt

(CompositionExclusions.txt is much smaller than the other files, so it's the best choice for tests.)

Ran make up; make install-nodoc. Checked modification time.

(In earlier versions of the download logic, I confirmed that the modification data changed to the "Last Modified" date of the newly

downloaded file.)

Associated revisions

Revision 052c85da9643fcfb4e5f43e9ff688dcec7d3f7e2 - 10/22/2014 05:33 PM - nobu (Nobuyoshi Nakada)

common.mk: update unicode files every times

common.mk (update-unicode): invert dependency to run every times.

[ruby-core:65842] [Bug #10415]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48101 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 052c85da - 10/22/2014 05:33 PM - nobu (Nobuyoshi Nakada)

common.mk: update unicode files every times

common.mk (update-unicode): invert dependency to run every times.

[ruby-core:65842] [Bug #10415]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48101 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f72c0b5c787df88aedb0270d354e8dca9326ce45 - 10/23/2014 02:58 PM - nobu (Nobuyoshi Nakada)

common.mk: timestamp for update-unicode

common.mk (.update-unicode.time): timestamp not to download same

files twice at one build.  [Bug #10415]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48117 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f72c0b5c - 10/23/2014 02:58 PM - nobu (Nobuyoshi Nakada)

common.mk: timestamp for update-unicode

common.mk (.update-unicode.time): timestamp not to download same

files twice at one build.  [Bug #10415]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48117 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/22/2014 05:33 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100
Applied in changeset r48101.

common.mk: update unicode files every times

common.mk (update-unicode): invert dependency to run every times.

[ruby-core:65842] [Bug #10415]
